Upgraded from Adroid 5.1.1 to something newer - Ondroid utlity giving me some message that package is corrupted..

Post Reply
ruthan
Posts: 5
Joined: Fri Jan 08, 2016 1:31 pm
languages_spoken: english
ODROIDs: none
Contact:

Upgraded from Adroid 5.1.1 to something newer - Ondroid utlity giving me some message that package is corrupted..

Unread post by ruthan » Sat Dec 29, 2018 8:47 am

Hello,
i trying to upgrade Ondroid-C2 Android 5.1.1 to something newer through Ondroid ulility, but it gives me after download some Java.IO error, its quick pop up so i dont know details and when i try to install again update from package i get info that package is corrupted.
Im using as storage eMMc from Odroid store its working fine, Android is working too, but i want to upgrade it to newer version, 5 is very old.

How to fix it?

Update:
I looked on wiki - OS images, there is some info that upgrade to 6 is its not possible, what is the shame, so why Ondroid utility is downloading it and trying it to install?
How i check what version of Android image i have and how to install at least last version of Android 5? Im dont really understand you image numbering - what is exactly - Release Note of Android (v3.7) ? I suppose that its not Android 3.7.. its a mess..

Update2:
I system info i can see that im now on version 248, what is in you number and names version 2.1.. that numbering sucks.

When i download install package manually from other computer, should i extract it with 7zip or not?

How to clean up not working downloaded images with Total Commander? I tried to search in Filesystem Root - updatepackage* i got nothing..

ruthan
Posts: 5
Joined: Fri Jan 08, 2016 1:31 pm
languages_spoken: english
ODROIDs: none
Contact:

Re: Upgraded from Adroid 5.1.1 to something newer - Ondroid utlity giving me some message that package is corrupted..

Unread post by ruthan » Thu Jan 03, 2019 9:55 pm

No reply at all great.. its last Ondroid device which i bought.

User avatar
rooted
Posts: 6061
Joined: Fri Dec 19, 2014 9:12 am
languages_spoken: english
Location: Gulf of Mexico, US
Contact:

Re: Upgraded from Adroid 5.1.1 to something newer - Ondroid utlity giving me some message that package is corrupted..

Unread post by rooted » Thu Jan 03, 2019 10:24 pm

You asked a question on the holidays.

joerg
Posts: 810
Joined: Tue Apr 01, 2014 2:14 am
languages_spoken: german, english, español
ODROIDs: C1, C1+, C2
Location: Germany
Contact:

Re: Upgraded from Adroid 5.1.1 to something newer - Ondroid utlity giving me some message that package is corrupted..

Unread post by joerg » Fri Jan 04, 2019 12:05 am

You cannot use an update package to upgrade from 5.x to 6.x. Maybe other companies support this kind of upgrade, but remember that Odroid boards are development boards and Hardkernel is a small company. So, to upgrade to 6.0.1, download the latest selfinstall image. This image need to be extracted. You will get a file with .img that need to be flashed to your emmc or sdcard. If you have a free u3 sdcard eg. a Sandisk, then try with this first, to not to destroy your current installation. For sure you have found already the page with the description of flashing the OS: https://wiki.odroid.com/troubleshooting ... hing_tools

Post Reply

Return to “Android”

Who is online

Users browsing this forum: No registered users and 4 guests